namespace elm { 
inline ::efl::eolian::return_traits<double>::type Panes::content_left_size_get() const
{
   double __return_value =  ::elm_obj_panes_content_left_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_left_size_set( ::efl::eolian::in_traits<double>::type size) const
{
    ::elm_obj_panes_content_left_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(size));
}
inline ::efl::eolian::return_traits<bool>::type Panes::fixed_get() const
{
   Eina_Bool __return_value =  ::elm_obj_panes_fixed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::fixed_set( ::efl::eolian::in_traits<bool>::type fixed) const
{
    ::elm_obj_panes_fixed_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(fixed));
}
inline ::efl::eolian::return_traits<double>::type Panes::content_right_size_get() const
{
   double __return_value =  ::elm_obj_panes_content_right_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_right_size_set( ::efl::eolian::in_traits<double>::type size) const
{
    ::elm_obj_panes_content_right_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(size));
}
inline ::efl::eolian::return_traits<double>::type Panes::content_left_min_relative_size_get() const
{
   double __return_value =  ::elm_obj_panes_content_left_min_relative_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_left_min_relative_size_set( ::efl::eolian::in_traits<double>::type size) const
{
    ::elm_obj_panes_content_left_min_relative_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(size));
}
inline ::efl::eolian::return_traits<double>::type Panes::content_right_min_relative_size_get() const
{
   double __return_value =  ::elm_obj_panes_content_right_min_relative_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_right_min_relative_size_set( ::efl::eolian::in_traits<double>::type size) const
{
    ::elm_obj_panes_content_right_min_relative_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(size));
}
inline ::efl::eolian::return_traits<Evas_Coord>::type Panes::content_left_min_size_get() const
{
   Evas_Coord __return_value =  ::elm_obj_panes_content_left_min_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_left_min_size_set( ::efl::eolian::in_traits<Evas_Coord>::type size) const
{
    ::elm_obj_panes_content_left_min_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(size));
}
inline ::efl::eolian::return_traits<Evas_Coord>::type Panes::content_right_min_size_get() const
{
   Evas_Coord __return_value =  ::elm_obj_panes_content_right_min_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_right_min_size_set( ::efl::eolian::in_traits<Evas_Coord>::type size) const
{
    ::elm_obj_panes_content_right_min_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(size));
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<double>::type Panes::content_left_size_get() const
{
   double __return_value =  ::elm_obj_panes_content_left_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_left_size_set( ::efl::eolian::in_traits<double>::type size) const
{
    ::elm_obj_panes_content_left_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(size));
}
inline ::efl::eolian::return_traits<bool>::type Panes::fixed_get() const
{
   Eina_Bool __return_value =  ::elm_obj_panes_fixed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::fixed_set( ::efl::eolian::in_traits<bool>::type fixed) const
{
    ::elm_obj_panes_fixed_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(fixed));
}
inline ::efl::eolian::return_traits<double>::type Panes::content_right_size_get() const
{
   double __return_value =  ::elm_obj_panes_content_right_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_right_size_set( ::efl::eolian::in_traits<double>::type size) const
{
    ::elm_obj_panes_content_right_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(size));
}
inline ::efl::eolian::return_traits<double>::type Panes::content_left_min_relative_size_get() const
{
   double __return_value =  ::elm_obj_panes_content_left_min_relative_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_left_min_relative_size_set( ::efl::eolian::in_traits<double>::type size) const
{
    ::elm_obj_panes_content_left_min_relative_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(size));
}
inline ::efl::eolian::return_traits<double>::type Panes::content_right_min_relative_size_get() const
{
   double __return_value =  ::elm_obj_panes_content_right_min_relative_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_right_min_relative_size_set( ::efl::eolian::in_traits<double>::type size) const
{
    ::elm_obj_panes_content_right_min_relative_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(size));
}
inline ::efl::eolian::return_traits<Evas_Coord>::type Panes::content_left_min_size_get() const
{
   Evas_Coord __return_value =  ::elm_obj_panes_content_left_min_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_left_min_size_set( ::efl::eolian::in_traits<Evas_Coord>::type size) const
{
    ::elm_obj_panes_content_left_min_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(size));
}
inline ::efl::eolian::return_traits<Evas_Coord>::type Panes::content_right_min_size_get() const
{
   Evas_Coord __return_value =  ::elm_obj_panes_content_right_min_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panes::content_right_min_size_set( ::efl::eolian::in_traits<Evas_Coord>::type size) const
{
    ::elm_obj_panes_content_right_min_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(size));
}
inline elm::Panes::operator ::elm::Panes() const { return *static_cast< ::elm::Panes const*>(static_cast<void const*>(this)); }
inline elm::Panes::operator ::elm::Panes&() { return *static_cast< ::elm::Panes*>(static_cast<void*>(this)); }
inline elm::Panes::operator ::elm::Panes const&() const { return *static_cast< ::elm::Panes const*>(static_cast<void const*>(this)); }
} }

